Firmware 045 on memup drive?

Hi,

I’ve a friend that own the memup drive, which is a BTC as i understood. Can he flash is drive with the last firmware released by BTC? On Memup web site, the only firmware available is the fw_039btc_dual4x.zip.

Thanks.

Memup will update their website also with V0045. I recommend continue using the Memup update, due to warranty regulations.

Marco
BTC Europe Support

True, but if warranty issues don’t worry you, all you have to do is unzip the fw_039btc_dual4x.zip file and replace the Memup0039.hex with the DRV045.HEX included in the latest BTC firmware package.

Starting versions 038/039 the new firmware IDs are identical “DVDRW IDE1004”, and only the flashers provided by the OEMs will detect the previous firmware ID, in your case it’s “Memup DRW1004IM”.

Once done, you can simply download any BTC update and flash it directly and forget about Memup’s site.

I’m not denying it nor am I confirming it… ; )

I also have DOS versions of all updates, available on request.

Marco
BTC Europe Support

Originally posted by ajz
[B]True, but if warranty issues don’t worry you, all you have to do is unzip the fw_039btc_dual4x.zip file and replace the Memup0039.hex with the DRV045.HEX included in the latest BTC firmware package.

Starting versions 038/039 the new firmware IDs are identical “DVDRW IDE1004”, and only the flashers provided by the OEMs will detect the previous firmware ID, in your case it’s “Memup DRW1004IM”.

Once done, you can simply download any BTC update and flash it directly and forget about Memup’s site. [/B]

If i try that , i have a " wrong firmware version " in result :confused:

I hope Memup will update his support site soon .

When running the flasher, what message do you get?
“It’s only for Memup DRW1004IM”???

I’m not at home at the moment but if i remember , it doesn’t said " It’s only for Memup DRW1004IM" .

I use the updater from fw_039btc_dual4x.zip , but instead of loading the 039 file , i load the 045 , but after a click on upgrade , i have a message like this " wrong firmware version " .

But have you upgraded to Memup’s version 39 yet? What’s your current release?

BTW, BTC’s version 45 is an autoextractor and you have to find the file in your windows/temp directory. I suppose that’s what you did.

Another trick that might work.

This time, simply use BTC’s v45 autoextractor. With this release, they’ve completely changed the way the flasher works. The firmware ID string verifier is not internally included in the flasher now; instead, there’s an external IDString.txt file that comes with it (or generated at runtime).

The text file says:
"DVDRW IDE1004 "“Drv045.hex”“Y”

You’ll have to change the contents of the first quote to your recorders’ ID string to something like:

"Memup DRW1004IM "“Drv045.hex”“Y”

(Note: make sure there are 24 characters within the first quote; there are three spaces between ‘Memup’ and ‘DRW1004IM’ and 7 spaces between ‘DRW1004IM’ and the last ’ " '. This hold true ONLY if your firmware ID string is as stated above)

So what you should try is (step-by-step):

  1. Empty your Windows TEMP folder
  2. Double-click on the self extractor then exit immediately.
  3. Look for the newly created folder INSIDE your TEMP folder. You should find the following files: DRV045.HEX, FIDE.SYS, FIDEVXD.VXD, IDEFLASH.EXE and IDSTRING.TXT
  4. Modify the IDSTRING.TXT as mentioned above and save it.
  5. Now run IDEFLASH.EXE

This time it shouldn’t complain.

NOTE: adapt "Memup DRW1004IM " to whatever your exact firmware ID string currently is.

For your information, Memup will update their website with the latest version within a couple of days.

Marco
BTC Europe Support

no way … see the picture below
I will wait for the official update

Perhaps the “Y” stands for VERIFY. Maybe an “N” might solve the problem.